package com.iformall.enums;

/**
 * Created by luozukai
 * 合同表applyStatus
 */
public enum EnumRentContractAppStatus {
    DEFAULT(0, "未审核"),
    APPLYING(1, "审核中"),
    FINISH(2, "审核完成"),
    REJECT(3, "驳回"),
    CANCLE(4,"作废"),
    SETBACK(5,"撤回")
    ;

    public static EnumRentContractAppStatus getEnum(Integer code) {
        for (EnumRentContractAppStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumRentContractAppStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
